<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"  xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['gazelle.xdw.simulator.XDWDocument']}</h1>
    <h:form id="globalForm">
		
			#{sampleManager.initXDWDoc()}
			
			<h:outputText rendered="#{sampleManager.selectedXDWDocument == null}"
				value="#{messages['gazelle.xdw.simulator.TheIdOfTheXDWDocuementIsNotWellDefined']}" />

			<gri:panel rendered="#{sampleManager.selectedXDWDocument != null}">
				<f:facet name="header">#{messages['gazelle.xdw.simulator.XDWDocument']}</f:facet>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['gazelle.xdw.simulator.Name']}</ui:define>
					<h:outputText value="#{sampleManager.selectedXDWDocument.path}"></h:outputText>
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml"
					rendered="#{sampleManager.selectedXDWDocument.author != null}">
					<ui:define name="label">#{messages['gazelle.xdw.simulator.Author']}</ui:define>
					<h:outputText value="#{sampleManager.getUserName(sampleManager.selectedXDWDocument.author)}"></h:outputText>
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['gazelle.xdw.simulator.CreationDate']}</ui:define>
					<h:outputText
						value="#{sampleManager.selectedXDWDocument.creationDate}"></h:outputText>
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['gazelle.xdw.simulator.PermanentLink']}</ui:define>
					<h:outputLink
						value="#{sampleManager.permanentLink(sampleManager.selectedXDWDocument)}"
						target="_blank">
						<h:outputText
							value="#{sampleManager.permanentLink(sampleManager.selectedXDWDocument)}"></h:outputText>
					</h:outputLink>
				</s:decorate>
				<h:outputText value="#{messages['gazelle.xdw.simulator.Content']}"
					style="font-weight : bold;"></h:outputText>
				<br />
				<ns1:insert xmlns:ns1="http://www.ihe.net/gazellecdk"
					content="#{sampleManager.selectedXDWDocument.getContent()}"
					highlight="xml"></ns1:insert>
				<br />
			</gri:panel>
		</h:form>
  </ui:define>
</ui:composition>
